ColorStringParser (JSAP: the Java Simple Argument Parser)
Keywords: com.martiansoftware.jsap.stringparsers.ColorStringParser class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.martiansoftware.jsap.stringparsers
Class ColorStringParser

    java.lang.Object
      com.martiansoftware.jsap.StringParser
          com.martiansoftware.jsap.stringparsers.ColorStringParser

    public class ColorStringParser

extends StringParser

A `StringParser` for parsing java.awt.Color objects. Color information can be specified in a variety of formats:

- RGB, as integers in the range 0-255, separated by commas (e.g., "123,45,6")
- RGB, as floats in the range 0.0-1.0, separated by commas (e.g., "0.123,0.45,0.6")
- RGB, as hexadecimal strings following the '#' character (e.g., "#1234ef")
- By name, as matching the names of the color fields of java.awt.Color (case-insensitive). (e.g., "black")
- RGBAlpha, as integers in the range 0-255, separated by commas (e.g., "123,45,6,128")
- RGBAlpha, as floats in the range 0.0-1.0, separated by commas (e.g., "0.123,0.45,0.6,.5")
- RGBAlpha, as hexadecimal strings following the '#' character (e.g., "#1234efab")

If the specified argument does not match any of these formats, a ParseException is thrown.

Author:
  Marty Lamb
See Also:
  `StringParser`, `Color`

Constructor Summary
`ColorStringParser()` Deprecated. Use `getParser()` or, even better, `JSAP.COLOR_PARSER`.

Method Summary
`static ColorStringParser` | `getParser()` Returns a `ColorStringParser`.
`Object` | `parse(String arg)` Parses java.awt.Color objects from Strings.

Methods inherited from class com.martiansoftware.jsap.StringParser
`setUp, tearDown`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColorStringParser

    public ColorStringParser()

  Deprecated. Use `getParser()` or, even better, `JSAP.COLOR_PARSER`.

  Creates a new ColorStringParser.

Method Detail

### getParser

    public static ColorStringParser getParser()

  Returns a `ColorStringParser`.

  Convenient access to the only instance returned by this method is available through `JSAP.COLOR_PARSER`.

  Returns:
    a `ColorStringParser`.

### parse

    public Object parse(String arg)
                 throws ParseException

  Parses java.awt.Color objects from Strings. Color information can be specified in a variety of formats:
  - RGB, as integers in the range 0-255, separated by commas (e.g., "123,45,6")
  - RGB, as floats in the range 0.0-1.0, separated by commas (e.g., "0.123,0.45,0.6")
  - RGB, as hexadecimal strings following the '#' character (e.g., "#1234ef")
  - By name, as matching the names of the color fields of java.awt.Color (case-insensitive). (e.g., "black")
  - RGBAlpha, as integers in the range 0-255, separated by commas (e.g., "123,45,6,128")
  - RGBAlpha, as floats in the range 0.0-1.0, separated by commas (e.g., "0.123,0.45,0.6,.5")
  - RGBAlpha, as hexadecimal strings following the '#' character (e.g., "#1234efab")
  If the specified argument does not match any of these formats, a ParseException is thrown.

  Specified by:
    `parse` in class `StringParser`
  Parameters:
    `arg` - the String to convert to a Color object.
  Returns:
    the Color specified by arg.
  Throws:
    `ParseException` - if arg cannot be interpreted as a Color as described above.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005, Martian Software, Inc.. All Rights Reserved.
For the latest version and documentation, please visit http://www.martiansoftware.com/jsap